Name:           bwa
Version:        0.6.1
Release:        alt1_5
Summary:        Burrows-Wheeler Alignment tool

Group:          Engineering
License:        GPLv3
URL:            http://bio-bwa.sourceforge.net/
Source0:        http://downloads.sourceforge.net/bio-%{name}/%{name}-%{version}.tar.bz2
Patch0:		bwa-nosse2-i386.patch

BuildRequires:  zlib-devel
Source44: import.info

%description

BWA is a program for aligning sequencing reads against a large
reference genome (e.g. human genome). It has two major components, one
for read shorter than 150bp and the other for longer reads.

%prep
%setup -q

# SSE2 only on x86_64
%ifnarch x86_64
%patch0 -p1 -b .bwa-nosse2-i386.patch
%endif


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m 0755 bwa %{buildroot}/%{_bindir}
install -m 0755 solid2fastq.pl %{buildroot}/%{_bindir}
install -m 0755 qualfa2fq.pl %{buildroot}/%{_bindir}

install -m 0644 bwa.1 %{buildroot}/%{_mandir}/man1/bwa.1

%files
%doc COPYING NEWS 
%{_mandir}/man1/%{name}.1*
%{_bindir}/bwa
%{_bindir}/qualfa2fq.pl
%{_bindir}/solid2fastq.pl


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_4
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_3
- fc import

